HttpRequest::setMethod
HttpRequest::setPostFields
HttpRequest
PHP Manual

# HttpRequest::setOptions

(PECL pecl_http >= 0.10.0)

HttpRequest::setOptions — Définit des options

### Description

public bool HttpRequest::setOptions ([ array `$options` ] )

Définit des options de requêtes à utiliser.

Voir la liste complète des options de demande.

### Liste de paramètres

`options`

  un tableau associatif, dont les valeurs écraseront les options de requêtes actuellement définies ; si ce paramètre est vide ou omis, les options de l'objet HttpRequest seront effacées.

### Valeurs de retour

Cette fonction retourne `TRUE` en cas de succès ou `FALSE` si une erreur survient.

HttpRequest::setMethod
HttpRequest::setPostFields
HttpRequest
PHP Manual